# GET /v2/videos/generations/{task_id}

**Method**: `GET`
**Endpoint**: `/v2/videos/generations/{task_id}`

Unified Interface Format
status enum:
NOT_START: Not started
IN_PROGRESS: Running
SUCCESS: Completed
FAILURE ： Failure

## Request Parameters

### Path Parameters

```text
task_id
string
Required
```

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

## Example Request

### Shell

```bash
curl --location --request GET '/v2/videos/generations/' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{
    "task_id": "veo3:1756693796-YQVHH4A3Lg",
    "platform": "google",
    "action": "google-videos",
    "status": "SUCCESS",
    "fail_reason": "",
    "submit_time": 1756693797,
    "start_time": 1756693808,
    "finish_time": 1756693898,
    "progress": "100%",
    "data": {
        "output": "https://filesystem.site/cdn/20250901/018eg2SgUpHMT6EEuQbfeRLWeUhE75.mp4"
    },
    "search_item": ""
}
```
